You signed in with another tab or window. Reload to refresh your session.You signed out in another tab or window. Reload to refresh your session.You switched accounts on another tab or window. Reload to refresh your session.Dismiss alert
Objects.BuiltElements.TeklaStructures does not contain a definition for the Connection class although it is supported by the Tekla API, and there is an analog in Objects.BuiltElements.Revit.StructuralConnectionHandler
Is your feature request related to a problem? Please describe.
Connection objects are ignored by speckle because the connection object type is missing.
Describe the solution you'd like
Add a TeklaConnection type to the objects kit
Describe alternatives you've considered
Using plates instead
Additional context
The specific problem I'm trying to solve is taking a Revit model of lots of beams with connections types assigned as text properties, and inserting the appropriate custom Tekla connection object into a speckle model, so that it can be received in Tekla via the speckle Tekla connector.
I'm not interested in the connection coming from another piece of software, although it would make sense for compatibility with Revit connections where possible. In my case there will not be existing connection types in the input model. The types will be defined manually in Tekla according to the required types, and my code will create the connection objects as Tekla objects (as opposed to creating them downstream in Tekla
Related issues or community discussions
Tekla provide example code in their API reference for creating a connection between two beams
using Tekla.Structures.Model;using Tekla.Structures.Geometry3d;using Tekla.Structures;using System;publicclassExample{publicvoidExample1(){BeamB1=new Beam(new Point(15000,0,-500),new Point(15000,0,6000));
B1.Profile.ProfileString ="HEA400";
B1.Material.MaterialString ="S235JR";BeamB2=new Beam(new Point(15000,0,0),new Point(18000,0,0));
B2.Profile.ProfileString ="HEA400";
B2.Material.MaterialString ="S235JR";
B1.Insert();
B2.Insert();ConnectionC=new Connection();
C.Name ="Test End Plate";
C.Number =144;
C.LoadAttributesFromFile("standard");
C.UpVector =new Vector(0,0,1000);
C.PositionType = PositionTypeEnum.COLLISION_PLANE;// Use this value to have the same orientation as defined in the attribute file
C.AutoDirectionType = AutoDirectionTypeEnum.AUTODIR_FROM_ATTRIBUTE_FILE;
C.SetPrimaryObject(B1);
C.SetSecondaryObject(B2);
C.SetAttribute("e2",10.0);
C.SetAttribute("e1",10.0);if(!C.Insert()){
Console.WriteLine("Connection Insert failed");}else{
Console.WriteLine(C.Identifier.ID);DoubleDValue=0.0;if(!C.GetAttribute("e2",ref DValue)||DValue!=10)
Console.WriteLine("Connection GetAttribute failed");}}}
The text was updated successfully, but these errors were encountered:
Prerequisites
What package are you referring to?
Backend (objects kit)
Objects.BuiltElements.TeklaStructures
does not contain a definition for the Connection class although it is supported by the Tekla API, and there is an analog inObjects.BuiltElements.Revit.StructuralConnectionHandler
Is your feature request related to a problem? Please describe.
Connection objects are ignored by speckle because the connection object type is missing.
Describe the solution you'd like
Add a TeklaConnection type to the objects kit
Describe alternatives you've considered
Using plates instead
Additional context
The specific problem I'm trying to solve is taking a Revit model of lots of beams with connections types assigned as text properties, and inserting the appropriate custom Tekla connection object into a speckle model, so that it can be received in Tekla via the speckle Tekla connector.
I'm not interested in the connection coming from another piece of software, although it would make sense for compatibility with Revit connections where possible. In my case there will not be existing connection types in the input model. The types will be defined manually in Tekla according to the required types, and my code will create the connection objects as Tekla objects (as opposed to creating them downstream in Tekla
Related issues or community discussions
Tekla provide example code in their API reference for creating a connection between two beams
The text was updated successfully, but these errors were encountered: